# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0 

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never 

execute if block 189 62 -615 minecraft:air run setworldspawn 189 62 -603
execute if block 189 62 -615 minecraft:air run spawnpoint @a[tag=dh.t_giocatori] 189 62 -603
execute if block 189 62 -615 minecraft:iron_bars run setworldspawn 190 62 -616
execute if block 189 62 -615 minecraft:iron_bars run spawnpoint @a[tag=dh.t_primoGiocatore] 190 62 -616
execute if block 189 62 -615 minecraft:iron_bars run spawnpoint @a[tag=dh.t_secondoGiocatore] 188 62 -616



# Itemframe
execute as @e[tag=dh.t_itemframeIsola,nbt=!{ItemRotation:0b},type=item_frame] run data merge entity @s {ItemRotation:0b}

clear @a[tag=dh.t_giocatori] minecraft:red_stained_glass_pane
clear @a[tag=dh.t_giocatori] minecraft:white_stained_glass_pane
clear @a[tag=dh.t_giocatori] minecraft:pink_stained_glass_pane

# Attributo
execute as @a[tag=dh.t_giocatori] run attribute @s generic.armor base set -7



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=186,y=64,z=-606,dx=6,dy=3,dz=6] run tp @s 189 64 -603



# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c0_isola_iniziale/dh.f.b_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c0_isola_iniziale/dh.f.c_effetti

# Easter Egg
execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 189 60 -608 {auto:1b}

execute as @e[tag=dh.t_coniglio0,type=rabbit] at @s facing entity @p[tag=dh.t_giocatori,distance=..5] eyes run tp @s ~ ~ ~ ~ ~
 
execute as @a[tag=dh.t_giocatori,nbt={SelectedItem:{id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}'}}}}] run replaceitem entity @s weapon.mainhand minecraft:rabbit_spawn_egg{display:{Name:'{"text":""}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.0 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:1b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.1 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:2b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.2 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:3b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.3 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.4 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:5b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.5 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:6b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.6 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:7b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.7 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:8b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.8 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/root=false},nbt={Inventory:[{id:"minecraft:rabbit_spawn_egg"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/root



# CB Partenza
execute if entity @a[tag=dh.t_partenza,x=189,y=63,z=-603,distance=..6] run data merge block 189 60 -598 {auto:1b}

# Esempio Indizi e Reset
execute if block 191 62 -619 #minecraft:buttons[powered=true] if block 192 61 -619 minecraft:red_wool run summon area_effect_cloud 192 61 -619 {Particle:"minecraft:ambient_entity_effect",Duration:31,Tags:["dh.t_esempioIndizio"]}
execute as @e[tag=dh.t_esempioIndizio,type=area_effect_cloud,nbt={Age:0}] run setblock 192 61 -619 minecraft:lime_wool
execute as @e[tag=dh.t_esempioIndizio,type=area_effect_cloud,nbt={Age:0}] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s I pulsanti per gli indizi, se sono stati attivati, si troveranno su un blocco di diamante. Ti verrà chiesto quale indizio vorrai sapere in quel momento: %s, %s. Cliccando sulle parole azzurre, otterrai l'indizio richiesto.","with":[{"text":"<Batko_>","color":"dark_green"},{"text":"pulsante","color":"aqua"},{"text":"richiesta","color":"aqua"}]}
execute as @e[tag=dh.t_esempioIndizio,type=area_effect_cloud,nbt={Age:0}] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2
execute as @e[tag=dh.t_esempioIndizio,type=area_effect_cloud,nbt={Age:30}] run setblock 192 61 -619 minecraft:red_wool

execute if block 191 62 -617 #minecraft:buttons[powered=true] if block 192 61 -617 minecraft:red_wool run summon area_effect_cloud 192 61 -617 {Particle:"minecraft:ambient_entity_effect",Duration:31,Tags:["dh.t_esempioReset"]}
execute as @e[tag=dh.t_esempioReset,type=area_effect_cloud,nbt={Age:0}] run setblock 192 61 -617 minecraft:lime_wool
execute as @e[tag=dh.t_esempioReset,type=area_effect_cloud,nbt={Age:0}] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s I pulsanti per il reset degli oggetti si troveranno sulla bedrock. Il pulsante rimuove tutti gli oggetti dall'inventario o da terra e li riporta al loro posto. Il reset può avvenire ogni 5 minuti, quindi attento a non perdere gli oggetti troppo frequentemente o perderai un po' di tempo ogni volta.","with":[{"text":"<F4bioFuri4>","color":"blue"}]}
execute as @e[tag=dh.t_esempioReset,type=area_effect_cloud,nbt={Age:0}] at @a[tag=dh.t_giocatori] run playsound minecraft:block.beehive.exit ambient @a[tag=dh.t_giocatori] ~ ~ ~ 10 2
execute as @e[tag=dh.t_esempioReset,type=area_effect_cloud,nbt={Age:30}] run setblock 192 61 -617 minecraft:red_wool

# CB Esempio Reliquia
execute if entity @a[tag=dh.t_giocatori,nbt={Inventory:[{id:"minecraft:iron_door",Count:1b,tag:{display:{Name:'{"text":"Portale del Regno di Minecraft","color":"red","italic":false}'}}}]}] if block 186 60 -618 minecraft:red_wool run data merge block 189 60 -616 {auto:1b}



# CB Pulasnti (primo e secondo pulsante finto, pulsante tp)
execute if block 189 62 -621 #minecraft:buttons[powered=true] run data merge block 189 60 -620 {auto:1b}
execute if block 184 61 -621 #minecraft:buttons[powered=true] run data merge block 189 60 -620 {auto:1b}
execute if block 189 64 -623 #minecraft:buttons[powered=true] run data merge block 189 60 -620 {auto:1b}