# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 524 30 -178
spawnpoint @a[tag=dh.t_primoGiocatore] 523 30 -180
spawnpoint @a[tag=dh.t_secondoGiocatore] 525 30 -178



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=524,y=32,z=-191,dx=5,dy=3,dz=5] run tp @s 527.0 32 -188.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~ ~ ~ minecraft:rose_bush run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s ha sfamato una pianta carnivora con la sua carne.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~ ~1 ~ minecraft:rose_bush run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s ha sfamato una pianta carnivora con la sua carne.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if block ~ ~ ~ minecraft:rose_bush run kill @s
execute as @a[tag=dh.t_giocatori] at @s if block ~ ~1 ~ minecraft:rose_bush run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl6.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl6.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_f_livello_6/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_f_livello_6/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_f_livello_6/dh.f.d_effetti



# CB Titolo
execute if block 518 26 -177 minecraft:red_wool run data merge block 519 26 -180 {auto:1b}

# CB Indizio e Easter Egg
execute if block 530 39 -180 #minecraft:buttons[powered=true] run data merge block 520 26 -180 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 520 26 -180 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/f_extra6=false},nbt={Inventory:[{id:"minecraft:turtle_egg"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/f_extra6=false},nbt={Inventory:[{id:"minecraft:turtle_egg"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/f_extra6



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi6,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=526,y=41,z=-193,dx=7,dy=5,dz=7] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_avvioDiscorso6.3,type=area_effect_cloud,nbt={Age:400}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso3,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=533,y=29,z=-167,distance=..3] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso4

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 521 26 -180 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 521 26 -180 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 521 26 -180 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso4,type=armor_stand] run data merge block 521 26 -180 {auto:1b}

# CB Discorsi Pre
execute if entity @a[tag=dh.t_giocatori,nbt=!{Inventory:[{Slot:101b,id:"minecraft:leather_leggings",Count:1b},{Slot:102b,id:"minecraft:leather_chestplate",Count:1b},{Slot:103b,id:"minecraft:leather_helmet"}]}] if block 548 45 -174 #minecraft:buttons[powered=true] run data merge block 522 26 -180 {auto:1b}
execute unless score #Reliquia6 dh.o_reliquie matches 1 if block 509 43 -160 #minecraft:buttons[powered=true] run data merge block 522 26 -180 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia6,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 524 26 -180 {auto:1b}

# CB Anima Terra
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 525 26 -180 {auto:1b}



# CB Reset Oggetti
execute if block 520 31 -182 #minecraft:buttons[powered=true] run data merge block 526 26 -180 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti6 dh.o_tempoScorre matches 6000 run setblock 520 31 -182 minecraft:oak_button[face=floor,facing=east]
execute if score #ResetOggetti6 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti6 dh.o_tempoScorre matches 6000 run data merge block 529 26 -180 {auto:0b}

# Cartello Reset Oggetti
execute if block 520 31 -182 minecraft:oak_sign run data merge block 520 31 -182 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finto, Primo Tp, Secondo Tp)
execute if block 511 45 -197 #minecraft:buttons[powered=true] run data merge block 527 26 -180 {auto:1b}

execute if entity @e[tag=dh.t_unGiocatore,type=armor_stand] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if entity @a[tag=dh.t_primoGiocatore,nbt={Inventory:[{Slot:101b,id:"minecraft:leather_leggings",Count:1b},{Slot:102b,id:"minecraft:leather_chestplate",Count:1b},{Slot:103b,id:"minecraft:leather_helmet"}]}] if block 548 45 -174 #minecraft:buttons[powered=true] run data merge block 527 26 -180 {auto:1b}
execute if entity @e[tag=dh.t_dueGiocatori,type=armor_stand] if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if entity @a[tag=dh.t_primoGiocatore,nbt={Inventory:[{Slot:101b,id:"minecraft:leather_leggings",Count:1b},{Slot:102b,id:"minecraft:leather_chestplate",Count:1b},{Slot:103b,id:"minecraft:leather_helmet"}]}] if entity @a[tag=dh.t_secondoGiocatore,nbt={Inventory:[{Slot:101b,id:"minecraft:leather_leggings",Count:1b},{Slot:102b,id:"minecraft:leather_chestplate",Count:1b},{Slot:103b,id:"minecraft:leather_helmet"}]}] if block 548 45 -174 #minecraft:buttons[powered=true] run data merge block 527 26 -180 {auto:1b}

execute if block 509 43 -160 #minecraft:buttons[powered=true] if score #Reliquia6 dh.o_reliquie matches 1 run data merge block 527 26 -180 {auto:1b}



# CB Ritorno al Livello
execute if block 528 26 -177 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 528 26 -180 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 528 26 -177 minecraft:yellow_wool unless score #Reliquia6 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia6,type=magma_cube] run summon minecraft:magma_cube 542 37 -178 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia6"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 528 26 -177 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia6,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=544,y=37,z=-180,distance=..1] run effect clear @e[tag=dh.t_cassaReliquia6,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 528 26 -177 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia6,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=544,y=37,z=-180,distance=..1] at @e[tag=dh.t_cassaReliquia6,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia6,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 528 26 -177 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia6,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=544,y=37,z=-180,distance=..1] run data merge entity @e[tag=dh.t_cassaReliquia6,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 528 26 -177 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia6,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=544,y=37,z=-180,distance=..1] run setblock 528 26 -177 minecraft:lime_wool