# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 708 20 42
spawnpoint @a[tag=dh.t_primoGiocatore] 709 20 42
spawnpoint @a[tag=dh.t_secondoGiocatore] 707 20 42



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,tag=!dh.t_vaiInCreativa,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=733,y=11.5,z=48,dx=5,dy=3,dz=5] run tp @s 736.0 12 51.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~0.3 ~ ~0.3 minecraft:cobweb run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato avvelenato da un ragno. Ha distrutto la sua ragnatela.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~0.3 ~ ~-0.3 minecraft:cobweb run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato avvelenato da un ragno. Ha distrutto la sua ragnatela.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~-0.3 ~ ~0.3 minecraft:cobweb run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato avvelenato da un ragno. Ha distrutto la sua ragnatela.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~-0.3 ~ ~-0.3 minecraft:cobweb run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato avvelenato da un ragno. Ha distrutto la sua ragnatela.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~0.3 ~1.76 ~0.3 minecraft:cobweb run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato avvelenato da un ragno. Ha distrutto la sua ragnatela.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~0.3 ~1.76 ~-0.3 minecraft:cobweb run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato avvelenato da un ragno. Ha distrutto la sua ragnatela.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~-0.3 ~1.76 ~0.3 minecraft:cobweb run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato avvelenato da un ragno. Ha distrutto la sua ragnatela.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s}] at @s if block ~-0.3 ~1.76 ~-0.3 minecraft:cobweb run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s è stato avvelenato da un ragno. Ha distrutto la sua ragnatela.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori] at @s if block ~0.3 ~ ~0.3 minecraft:cobweb run kill @s
execute as @a[tag=dh.t_giocatori] at @s if block ~0.3 ~ ~-0.3 minecraft:cobweb run kill @s
execute as @a[tag=dh.t_giocatori] at @s if block ~-0.3 ~ ~0.3 minecraft:cobweb run kill @s
execute as @a[tag=dh.t_giocatori] at @s if block ~-0.3 ~ ~-0.3 minecraft:cobweb run kill @s
execute as @a[tag=dh.t_giocatori] at @s if block ~0.3 ~1.76 ~0.3 minecraft:cobweb run kill @s
execute as @a[tag=dh.t_giocatori] at @s if block ~0.3 ~1.76 ~-0.3 minecraft:cobweb run kill @s
execute as @a[tag=dh.t_giocatori] at @s if block ~-0.3 ~1.76 ~0.3 minecraft:cobweb run kill @s
execute as @a[tag=dh.t_giocatori] at @s if block ~-0.3 ~1.76 ~-0.3 minecraft:cobweb run kill @s

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl11.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl11.2G dh.o_morti 1

# Spegnimento Fuoco
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run gamemode adventure @s
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run tag @s remove dh.t_vaiInCreativa
execute as @a[tag=dh.t_giocatori,nbt={Fire:296s}] run tag @s add dh.t_vaiInCreativa
execute as @a[tag=dh.t_giocatori,tag=dh.t_vaiInCreativa] run gamemode creative @s



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_m_livello_11/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_m_livello_11/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_m_livello_11/dh.f.d_effetti



# CB Titolo
execute if block 754 12 73 minecraft:red_wool run data merge block 755 12 70 {auto:1b}

# CB Indizio e Easter Egg
execute if block 708 12 64 #minecraft:buttons[powered=true] run data merge block 756 12 70 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 756 12 70 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/m_extra11=false},nbt={Inventory:[{id:"minecraft:bone"}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/m_extra11=false},nbt={Inventory:[{id:"minecraft:bone"}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/m_extra11



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi11,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=707,y=13,z=61,distance=..4] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=736,y=27,z=31,distance=..4] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 757 12 70 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 757 12 70 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 757 12 70 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 712 23 65 #minecraft:buttons[powered=true] run data merge block 758 12 70 {auto:1b}
execute unless score #Reliquia11 dh.o_reliquie matches 1 if block 717 21 42 #minecraft:buttons[powered=true] run data merge block 758 12 70 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia11,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 760 12 70 {auto:1b}

# CB Anima Terra
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 761 12 70 {auto:1b}



# Reset Oggetti
execute if block 704 22 39 #minecraft:buttons[powered=true] run data merge block 762 12 70 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti11 dh.o_tempoScorre matches 6000 run setblock 704 22 39 minecraft:oak_button[face=wall,facing=south]
execute if score #ResetOggetti11 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti11 dh.o_tempoScorre matches 6000 run data merge block 765 12 70 {auto:0b}

# Cartello Reset Oggetti
execute if block 704 22 39 minecraft:oak_wall_sign run data merge block 704 22 39 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Pulsanti (Finti, Primo Tp, Secondo Tp)
execute if block 692 33 80 #minecraft:buttons[powered=true] run data merge block 763 12 70 {auto:1b}
execute if block 691 33 83 #minecraft:buttons[powered=true] run data merge block 763 12 70 {auto:1b}
execute if block 692 35 83 #minecraft:buttons[powered=true] run data merge block 763 12 70 {auto:1b}
execute if block 692 31 83 #minecraft:buttons[powered=true] run data merge block 763 12 70 {auto:1b}
execute if block 691 32 81 #minecraft:buttons[powered=true] run data merge block 763 12 70 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 712 23 65 #minecraft:buttons[powered=true] run data merge block 763 12 70 {auto:1b}

execute if block 717 21 42 #minecraft:buttons[powered=true] if score #Reliquia11 dh.o_reliquie matches 1 run data merge block 763 12 70 {auto:1b}



# Ritorno al Livello
execute if block 764 12 73 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 764 12 70 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 764 12 73 minecraft:yellow_wool unless score #Reliquia11 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia11,type=magma_cube] run summon minecraft:magma_cube 738 40 84 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia11"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 764 12 73 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia11,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=740,y=38,z=86,distance=..2] run effect clear @e[tag=dh.t_cassaReliquia11,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 764 12 73 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia11,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=740,y=38,z=86,distance=..2] at @e[tag=dh.t_cassaReliquia11,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia11,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 764 12 73 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia11,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=740,y=38,z=86,distance=..2] run data merge entity @e[tag=dh.t_cassaReliquia11,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 764 12 73 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia11,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=740,y=38,z=86,distance=..2] run setblock 764 12 73 minecraft:lime_wool