# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0 

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 182 51 -989
spawnpoint @a[tag=dh.t_giocatori] 182 51 -989



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=179,y=53,z=-992,dx=6,dy=3,dz=6] run tp @s 182 54 -989

# Obiettivo primari
execute as @a[tag=dh.t_giocatori,scores={dh.o_morti=0},advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_8=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,scores={dh.o_morti=0},advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_8=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_8



# Itemframe
execute as @e[tag=dh.t_itemframeIsolaFinale,tag=!dh.t_rotazione1,type=item_frame,nbt=!{ItemRotation:0b}] run data merge entity @s {ItemRotation:0b}
execute as @e[tag=dh.t_itemframeIsolaFinale,tag=dh.t_rotazione1,type=item_frame,nbt=!{ItemRotation:1b}] run data merge entity @s {ItemRotation:1b}

clear @a[tag=dh.t_giocatori] minecraft:red_stained_glass_pane
clear @a[tag=dh.t_giocatori] minecraft:white_stained_glass_pane
clear @a[tag=dh.t_giocatori] minecraft:pink_stained_glass_pane

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c4_isola_finale/dh.f.b_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c4_isola_finale/dh.f.c_effetti



# CB Easter Egg
execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 200 47 -992 {auto:1b}

execute as @e[tag=dh.t_coniglio16,type=rabbit] at @s facing entity @p[tag=dh.t_giocatori,distance=..5] eyes run tp @s ~ ~ ~ ~ ~

execute as @a[tag=dh.t_giocatori,nbt={SelectedItem:{id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}'}}}}] run replaceitem entity @s weapon.mainhand minecraft:rabbit_spawn_egg{display:{Name:'{"text":""}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.0 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:1b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.1 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:2b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.2 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:3b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.3 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:4b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.4 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:5b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.5 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:6b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.6 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:7b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.7 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}
execute as @a[tag=dh.t_giocatori,nbt=!{SelectedItem:{id:"minecraft:rabbit_spawn_egg"}}] if entity @s[nbt={Inventory:[{Slot:8b,id:"minecraft:rabbit_spawn_egg",tag:{display:{Name:'{"text":""}'}}}]}] run replaceitem entity @s hotbar.8 minecraft:rabbit_spawn_egg{display:{Name:'{"text":"Easter Egg","color":"green","italic":false}',Lore:['{"text":"Una volta posizionato, non","color":"white","italic":false}','{"text":"può più essere spostato","color":"white","italic":false}']},CanPlaceOn:[red_nether_bricks,crimson_nylium]}

# CB Statistiche
execute if block 182 49 -976 minecraft:red_wool run data merge block 182 49 -972 {auto:1b}

# Obiettivo Extra
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_daiObiettivoExtra,type=armor_stand] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/s_extra17
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_daiObiettivoExtra,type=armor_stand] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_daiObiettivoExtra,type=armor_stand] run tag @e[tag=dh.t_daiObiettivoExtra,type=armor_stand] remove dh.t_daiObiettivoExtra



# CB Teletrasporto Dirigibile
execute if block 182 52 -1007 #buttons[powered=true] if block 182 51 -1009 minecraft:red_wool run data merge block 182 52 -1009 {auto:1b}
execute if block 201 51 -989 #buttons[powered=true] if block 182 50 -1009 minecraft:red_wool run data merge block 182 52 -1009 {auto:1b}